## Banger Editor: ProseMirror Made Easy

Banger Editor aims to provide missing pieces of ProseMirror components so you don't have to build them from scratch. And trust me, you don't want to build them from scratch.

**Why Banger Editor?**

*   :battery: **Batteries Included:**  Everything you need to get started with ProseMirror.
*   :spider_web: **Framework Agnostic:**  Vanilla JS at its core, but works great with React. Vue support coming soon!
*   :+1: **Pure ProseMirror:**  No extra abstractions, just pure ProseMirror. Compatible with libraries like `tiptap`, `milkdown`, and `novel`.
*   :hammer_and_wrench: **Headless & Customizable:** Use our `shadcn/ui`-like components or build your own.

**Getting Started**

```bash
npm install banger-editor
```

> [!NOTE]
> Example Repo: [banger-vite-react-starter](https://github.com/kepta/banger-vite-react-starter)

**Peer Dependencies**

Banger Editor uses ProseMirror packages directly. You'll need to install the ones you need.

**New to ProseMirror? Install these:**

```bash
npm install orderedmap prosemirror-commands prosemirror-dropcursor prosemirror-flat-list prosemirror-gapcursor prosemirror-history prosemirror-inputrules prosemirror-keymap prosemirror-model prosemirror-schema-basic prosemirror-state prosemirror-transform prosemirror-view
```
